// StateDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MyDBApp.h"
#include "StateDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStateDialog dialog


CStateDialog::CStateDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CStateDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStateDialog)
	m_strState = _T("");
	//}}AFX_DATA_INIT
}


void CStateDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStateDialog)
	DDX_Control(pDX, IDC_STATELIST, m_statelist);
	DDX_LBString(pDX, IDC_STATELIST, m_strState);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStateDialog, CDialog)
	//{{AFX_MSG_MAP(CStateDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStateDialog message handlers

BOOL CStateDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
     CDatabase aDB;
     try 
	 {
        aDB.OpenEx("DSN=MyDSN");
        //    SQL Server, 
	    //    ,  
		// aDB.OpenEx("ODBC;DSN=MyDSN;UID=sa;PWD=");
        CRecordset aRS(&aDB);
        aRS.Open(CRecordset::forwardOnly,"SELECT DISTINCT state FROM authors");
     while(!aRS.IsEOF()) 
	 {
        CString strValue;
        aRS.GetFieldValue(short(0), strValue); 
		m_statelist.AddString(strValue); 
		aRS.MoveNext(); 
	 }
     m_statelist.InsertString(0, "All records");
     aRS.Close(); 
	 aDB.Close();
	 }
     catch(CDBException *ex)
	 {
       TCHAR buf[255];
        ex->GetErrorMessage(buf,255); 
		CString strPrompt(buf); 
		AfxMessageBox(strPrompt); 
	 }	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
