// MyDBAppDoc.cpp : implementation of the CMyDBAppDoc class
//

#include "stdafx.h"
#include "MyDBApp.h"

#include "MyDBAppSet.h"
#include "MyDBAppDoc.h"
#include "StateDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyDBAppDoc

IMPLEMENT_DYNCREATE(CMyDBAppDoc, CDocument)

BEGIN_MESSAGE_MAP(CMyDBAppDoc, CDocument)
	//{{AFX_MSG_MAP(CMyDBAppDoc)
	ON_COMMAND(ID_FILTER_STATE, OnFilterState)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyDBAppDoc construction/destruction

CMyDBAppDoc::CMyDBAppDoc()
{
	// TODO: add one-time construction code here

}

CMyDBAppDoc::~CMyDBAppDoc()
{
}

BOOL CMyDBAppDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CMyDBAppDoc diagnostics

#ifdef _DEBUG
void CMyDBAppDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMyDBAppDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyDBAppDoc commands

void CMyDBAppDoc::OnFilterState() 
{
  CStateDialog aSD;
  if (aSD.DoModal() == IDOK)
  {
    if(aSD.m_strState == "All records")
       m_myDBAppSet.m_strFilter = ""; 
	else
       m_myDBAppSet.m_strFilter.Format("state = '%s'", aSD.m_strState);
    m_myDBAppSet.Requery();
    POSITION pos = GetFirstViewPosition(); 
	if (pos != NULL)
	{
       CView* pView = GetNextView(pos); 
	   ASSERT_VALID(pView); 
	   pView->UpdateData(FALSE); 
	} 
  }
	
}
